Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceX509TrustManager

    java.lang.Object
      org.jivesoftware.openfire.clearspace.ClearspaceX509TrustManager

All Implemented Interfaces:
  TrustManager, X509TrustManager

    public class ClearspaceX509TrustManager

extends Object
implements X509TrustManager

Trust manager that validates Clearspace certificates. Using system properties it is possible to disable or enabled certain validations. By default all validations are enabled and self-signed certificated are not accepted.

Author:
  Gaston Dombiak

Constructor Summary
`ClearspaceX509TrustManager(String server, Map<String,String> properties, KeyStore keystore)`

Method Summary
`void` | `checkClientTrusted(X509Certificate[] certificates, String authType)`
`void` | `checkServerTrusted(X509Certificate[] x509Certificates, String authType)`
`X509Certificate[]` | `getAcceptedIssuers()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClearspaceX509TrustManager

    public ClearspaceX509TrustManager(String server,
                                      Map<String,String> properties,
                                      KeyStore keystore)
                               throws NoSuchAlgorithmException,
                                      KeyStoreException

Throws:
  `NoSuchAlgorithmException`
  `KeyStoreException`

Method Detail

### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] certificates,
                                   String authType)
                            throws CertificateException

  Specified by:
    `checkClientTrusted` in interface `X509TrustManager`
  Throws:
    `CertificateException`
  See Also:
    `X509TrustManager.checkClientTrusted(X509Certificate[],String authType)`

### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] x509Certificates,
                                   String authType)
                            throws CertificateException

  Specified by:
    `checkServerTrusted` in interface `X509TrustManager`
  Throws:
    `CertificateException`
  See Also:
    `X509TrustManager.checkServerTrusted(X509Certificate[],String authType)`

### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

  Specified by:
    `getAcceptedIssuers` in interface `X509TrustManager`
  See Also:
    `X509TrustManager.getAcceptedIssuers()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.